﻿using IRaCIS.Core.Domain.Share;
using Microsoft.EntityFrameworkCore;
using System;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models;

[Comment("后台 - 验证码记录")]
[Table("VerificationCode")]
public class VerificationCode : BaseAddAuditEntity
{

    public Guid UserId { get; set; } = Guid.Empty;

    public string Code { get; set; } = string.Empty;

    [Comment("邮箱|手机")]
    public VerifyType CodeType { get; set; }

    public bool HasSend { get; set; }

    public string EmailOrPhone { get; set; } = string.Empty;

    public DateTime ExpirationTime { get; set; }

}