using Microsoft.EntityFrameworkCore;
using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models;

[Comment("ҽƷ - Ŀÿµ¼")]
[Table("PaymentAdjustment")]
public partial class PaymentAdjustment : BaseFullAuditEntity
{
    [DecimalPrecision(18, 4)]
    public decimal AdjustmentCNY { get; set; }

    [DecimalPrecision(18, 2)]
    public decimal AdjustmentUSD { get; set; }

    [DecimalPrecision(18, 2)]
    public decimal ExchangeRate { get; set; }

    public bool IsLock { get; set; }

    [StringLength(1000)]
    public string Note { get; set; } = null!;

    public Guid ReviewerId { get; set; }

    public Guid TrialId { get; set; }

    [StringLength(400)]
    public string YearMonth { get; set; } = null!;

    public DateTime YearMonthDate { get; set; }

}
