﻿using IRaCIS.Core.Domain.Share;
using Microsoft.EntityFrameworkCore;
using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models;

[Comment("受试者访视 - QC质疑对话")]
[Table("QCChallengeDialog")]
public class QCChallengeDialog : BaseAddAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    public QCChallenge QCChallenge { get; set; }
    #endregion

    public Guid QCChallengeId { get; set; }

    public Guid SubjectVisitId { get; set; }

    [StringLength(500)]
    public string TalkContent { get; set; } = null!;

    public UserTypeEnum UserTypeEnum { get; set; }
}