
//--------------------------------------------------------------------
//     此代码由T4模板自动生成  byzhouhang 20210918
//	   生成时间 2023-03-17 11:51:12 
//     对此文件的更改可能会导致不正确的行为，并且如果重新生成代码，这些更改将会丢失。
using System;
using IRaCIS.Core.Domain.Share;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Collections.Generic;
using Microsoft.EntityFrameworkCore;

namespace IRaCIS.Core.Domain.Models;

[Comment("受试者 - 附加评估标准影像筛选")]
[Table("SubjectCriteriaEvaluationVisitFilter")]
public class SubjectCriteriaEvaluationVisitFilter : BaseFullAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    [ForeignKey("TrialReadingCriterionId")]
    public ReadingQuestionCriterionTrial TrialReadingCriterion { get; set; }


    [JsonIgnore]
    public SubjectCriteriaEvaluation SubjectCriteriaEvaluation { get; set; }

    [JsonIgnore]

    public SubjectVisit SubjectVisit { get; set; }
    #endregion


    [Comment(" 影像判断结果")]
    public ImageDeterminationResultState ImageDeterminationResultState { get; set; }

    [Comment(" 影像筛选状态")]
    public ImageFilterState ImageFilterState { get; set; }

    [Comment(" 是否已生成任务")]
    public bool IsGeneratedTask { get; set; }

    public Guid SubjectId { get; set; }

    public Guid SubjectVisitId { get; set; }

    public Guid TrialReadingCriterionId { get; set; }

}

/// <summary>
/// 影像确认结果
/// </summary>
public enum ImageDeterminationResultState
{
    //待定
    None = 0,


    //通过
    Passed = 1,
}

/// <summary>
/// 影像筛选状态
/// </summary>
public enum ImageFilterState
{
    //默认值 待筛选
    None = 0,

    Filtering = 1,

    //筛选已完成
    Finished = 2
}
