
//--------------------------------------------------------------------
//     此代码由T4模板自动生成  byzhouhang 20210918
//	   生成时间 2023-06-19 11:32:48 
//     对此文件的更改可能会导致不正确的行为，并且如果重新生成代码，这些更改将会丢失。
using System;
using IRaCIS.Core.Domain.Share;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Collections.Generic;
using System.Linq;
using Microsoft.EntityFrameworkCore;

namespace IRaCIS.Core.Domain.Models;

[Comment("系统临床表格问题 (需要同步)")]
[Table("SystemClinicalTableQuestion")]
public class SystemClinicalTableQuestion : BaseAddAuditEntity
{
    #region 导航属性
    [NotMapped]
    public List<string> RelevanceValueList
    {
        get
        {
            try
            {
                return this.RelevanceValue.Split(',').ToList();
            }
            catch (Exception)
            {

                return new List<string>();
            }
        }

    }
    #endregion

    [Comment(" 系统临床数据Id")]
    public Guid SystemClinicalId { get; set; }

    [Comment(" 临床数据选项类型(无，自定义)")]
    public int ClinicalOptionTypeEnum { get; set; }

    [Comment(" 问题标识")]
    public ClinicalTableQuestionMark? ClinicalTableQuestionMarkEnum { get; set; }

    [Comment(" 临床问题类型(分组，单选。)")]
    public string ClinicalTableQuestionType { get; set; } = null!;

    [Comment(" 字典Code")]
    [StringLength(400)]
    public string DictionaryCode { get; set; } = null!;

    public int? DigitPlaces { get; set; }

    [Comment(" 是否必填")]
    public int IsRequired { get; set; }

    [Comment(" 最大长度")]
    public int? MaxAnswerLength { get; set; }

    [Comment(" 问题英文名称")]
    [StringLength(400)]
    public string QuestionEnName { get; set; } = null!;

    [Comment(" 外层问题Id")]
    public Guid QuestionId { get; set; }

    [Comment(" 问题名称")]
    [StringLength(400)]
    public string QuestionName { get; set; } = null!;

    [Comment(" 关联ID")]
    public Guid? RelevanceId { get; set; }

    [Comment(" 关联Value")]
    [StringLength(1000)]
    public string RelevanceValue { get; set; } = null!;

    [Comment(" 排序")]
    public int ShowOrder { get; set; }


    [Comment(" 自定义选项")]
    [StringLength(1000)]
    public string TypeValue { get; set; } = null!;

    public string Unit { get; set; } = null!;



}



