
//--------------------------------------------------------------------
//     此代码由T4模板自动生成  byzhouhang 20210918
//	   生成时间 2022-07-01 10:28:40 
//     对此文件的更改可能会导致不正确的行为，并且如果重新生成代码，这些更改将会丢失。
using System;
using IRaCIS.Core.Domain.Share;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IRaCIS.Core.Domain.Models;

[Comment("项目阅片 - 医学审核对话")]
[Table("ReadingMedicalReviewDialog")]
public class ReadingMedicalReviewDialog : BaseAddAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    [ForeignKey("TaskMedicalReviewId")]
    public TaskMedicalReview TaskMedicalReview { get; set; }


    /// <summary>
    /// 文件
    /// </summary>
    [NotMapped]
    public List<OSSImageInfo> FileList
    {
        get
        {


            try
            {
                var result = JsonConvert.DeserializeObject<List<OSSImageInfo>>(this.ImagePath);
                return result == null ? new List<OSSImageInfo>() : result;
            }
            catch (Exception)
            {

                return new List<OSSImageInfo>();
            }

        }
    }

    #endregion

    public AuditAdvice AuditAdviceEnum { get; set; }

    [StringLength(4000)]
    public string Content { get; set; } = null!;

    [StringLength(400)]
    public string DisagreeReason { get; set; } = null!;

    public MedicalReviewDoctorUserIdea DoctorUserIdeaEnum { get; set; }


    [MaxLength]
    public string FileName { get; set; } = null!;


    [MaxLength]
    public string ImagePath { get; set; } = null!;

    [Comment("是否申请重阅")]
    public bool? IsApplyHeavyReading { get; set; }

    [Comment("是否有问题")]
    public bool IsHaveQuestion { get; set; }

    [Comment("医学审核对话关闭原因")]
    public MedicalDialogClose? MedicalDialogCloseEnum { get; set; }

    [Comment("质询问题")]
    [StringLength(1000)]
    public string Questioning { get; set; } = null!;

    public Guid TaskMedicalReviewId { get; set; }

    public int UserTypeEnumInt { get; set; }

    public string UserTypeShortName { get; set; } = null!;

    public Guid VisitTaskId { get; set; }




}



