using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using IRaCIS.Core.Domain.Share;
using Microsoft.EntityFrameworkCore;
using Newtonsoft.Json;

namespace IRaCIS.Core.Domain.Models;

[Comment("ϵͳ׼ - ȫ Ҫͬ")]
[Table("ReadingSystemCriterionDictionary")]
public class ReadingSystemCriterionDictionary : BaseAddAuditEntity
{
    #region 

    [JsonIgnore]
    [ForeignKey("DictionaryId")]
    public Dictionary Dictionary { get; set; }
    #endregion
    public Guid CriterionId { get; set; }
    [Comment("׼ֵ")]
    public CrterionDictionaryGroup CrterionDictionaryGroup { get; set; } = CrterionDictionaryGroup.General;

    public Guid DictionaryId { get; set; }

    public bool IsBaseLineUse { get; set; }

    public bool IsFollowVisitUse { get; set; }

    public bool IsSystemCriterion { get; set; }

    public string ParentCode { get; set; } = null!;


}



