

using System;
using IRaCIS.Core.Domain.Share;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;
namespace IRaCIS.Core.Domain.Models;

[Comment("项目阅片 - 产生裁判信息记录")]
[Table("ReadingJudgeInfo")]
public class ReadingJudgeInfo : BaseAddAuditEntity
{
    #region 导航属性

    #endregion
    public Guid JudgeTaskId { get; set; }

    public Guid SubjectId { get; set; }

    public Guid TaskIdOne { get; set; }

    public Guid TaskIdTwo { get; set; }

    public Guid TrialId { get; set; }

}



