using IRaCIS.Core.Domain.Share;
using Microsoft.EntityFrameworkCore;
using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models;

[Comment("ҽ - Ŀ̼¼")]
[Table("EnrollDetail")]
public partial class EnrollDetail : BaseAddAuditEntity
{
    #region 
    [JsonIgnore]
    public virtual TrialStatusDetail TrialDetail { get; set; }
    [JsonIgnore]
    public Doctor Doctor { get; set; }
    #endregion


    public Guid DoctorId { get; set; }

    public Guid? EnrollId { get; set; }

    public EnrollStatus EnrollStatus { get; set; }

    [StringLength(1024)]
    public string Memo { get; set; } = null!;

    public int OptUserType { get; set; }

    public Guid TrialDetailId { get; set; }

    public Guid TrialId { get; set; }


}
