using Microsoft.EntityFrameworkCore;
using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models;

[Comment("Ŀ - Ŀֵϵ")]
[Table("TrialDictionary")]
public partial class TrialDictionary : Entity
{
    #region 
    [JsonIgnore]
    public virtual Trial Trial { get; set; }
    [JsonIgnore]
    public virtual Dictionary Dictionary { get; set; }
    #endregion

    [StringLength(400)]
    public string KeyName { get; set; } = string.Empty;

    public Guid TrialId { get; set; }

    public Guid DictionaryId { get; set; }
}
