using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models
{
    [Comment("Ŀ - ̼¼")]
    [Table("TrialStatus")]
    public partial class TrialStatusDetail : BaseAddAuditEntity
    {
        #region 
        [JsonIgnore] 
        public List<EnrollDetail> IntoGroupDetails { get; set; }

        [JsonIgnore]
        public Trial Trial { get; set; }
        #endregion


        public Guid TrialId { get; set; }
        public int TrialStatus { get; set; }
        [StringLength(400)]
        public string Memo { get; set; } = string.Empty;

        public int OptUserType { get; set; }



    }
}
