using Microsoft.EntityFrameworkCore;
using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models;

[Comment("ҽ - ")]
[Table("Postgraduate")]
public  class Postgraduate : BaseFullAuditEntity
{
    #region 

    #endregion

    public DateOnly? BeginDate { get; set; }

    [StringLength(400)]
    public string City { get; set; } = null!;

    [StringLength(400)]
    public string CityCN { get; set; } = null!;

    [StringLength(400)]
    public string Country { get; set; } = null!;

    [StringLength(400)]
    public string CountryCN { get; set; } = null!;

    public Guid DoctorId { get; set; }

    public DateOnly? EndDate { get; set; }

    [StringLength(400)]
    public string Hospital { get; set; } = null!;

    [StringLength(400)]
    public string HospitalCN { get; set; } = null!;

    [StringLength(400)]
    public string Major { get; set; } = null!;

    [StringLength(400)]
    public string MajorCN { get; set; } = null!;

    [StringLength(400)]
    public string Province { get; set; } = null!;

    [StringLength(400)]
    public string ProvinceCN { get; set; } = null!;

    [StringLength(400)]
    public string School { get; set; } = null!;

    [StringLength(400)]
    public string SchoolCN { get; set; } = null!;

    [StringLength(400)]
    public string Training { get; set; } = null!;

    [StringLength(400)]
    public string TrainingCN { get; set; } = null!;
}
