using Microsoft.EntityFrameworkCore;
using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models;

[Comment("ҽ - ѧ¼")]
[Table("ResearchPublication")]
public partial class ResearchPublication : BaseFullAuditEntity
{
    #region 

    #endregion
    [MaxLength]
    public string? AwardsHonors { get; set; }

    [MaxLength]
    public string? AwardsHonorsCN { get; set; }

    public Guid DoctorId { get; set; }

    [MaxLength]
    public string? Grants { get; set; }

    [MaxLength]
    public string? GrantsCN { get; set; }

    [MaxLength]
    public string? Publications { get; set; }

    [MaxLength]
    public string? PublicationsCN { get; set; }

    [MaxLength]
    public string? Research { get; set; }

    [MaxLength]
    public string? ResearchCN { get; set; }
}
