﻿using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models;

[Table("ExchangeRate")]
public class ExchangeRate : BaseFullAuditEntity
{
    [StringLength(400)]
    public string YearMonth { get; set; } = string.Empty;

    [DecimalPrecision(18, 2)]
    public decimal Rate { get; set; }

}
