using Microsoft.EntityFrameworkCore;
using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models;

[Comment("ҽƷ - ÿ֧")]
[Table("PaymentDetail")]
public  class PaymentDetail : BaseFullAuditEntity
{
    [DecimalPrecision(18, 2)]
    public decimal BasePrice { get; set; }

    public int Count { get; set; }

    public Guid DoctorId { get; set; }

    [DecimalPrecision(18, 2)]
    public decimal ExchangeRate { get; set; }

    [DecimalPrecision(18, 4)]
    public decimal PaymentCNY { get; set; }

    public Guid PaymentId { get; set; }

    [StringLength(400)]
    public string PaymentType { get; set; } = null!;

    [DecimalPrecision(18, 2)]
    public decimal PaymentUSD { get; set; }

    [DecimalPrecision(18, 2)]
    public decimal PersonalAdditional { get; set; }

    public int ShowCodeOrder { get; set; }

    public int ShowTypeOrder { get; set; }

    [DecimalPrecision(18, 2)]
    public decimal TrialAdditional { get; set; }

    [StringLength(400)]
    public string TrialCode { get; set; } = null!;

    public Guid TrialId { get; set; }

    [StringLength(400)]
    public string YearMonth { get; set; } = null!;

}
