using Microsoft.EntityFrameworkCore;
using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models;

[Comment("ҽƷ - Ŀ֧")]
[Table("TrialPaymentPrice")]
public class TrialPaymentPrice : BaseFullAuditEntity
{
    [JsonIgnore]
    public Trial Trial { get; set; }

    public Guid TrialId { get; set; }





    [DecimalPrecision(18, 2)]
    public decimal AdjustmentMultiple { get; set; }

    [Comment(" ǷΪĿ")]
    public bool? IsNewTrial { get; set; }

    public string SowName { get; set; } = null!;

    [StringLength(500)]
    public string SowPath { get; set; } = null!;

    [DecimalPrecision(18, 2)]
    public decimal TrialAdditional { get; set; }

}
