﻿using Microsoft.EntityFrameworkCore;
using System;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models;

[Comment("影像 - 影像分享记录表")]
[Table("ImageShare")]
public class ImageShare: Entity
{
    #region 导航属性

    #endregion
    public DateTime ExpireTime { get; set; }

    public string Password { get; set; } = null!;

    public Guid StudyId { get; set; }

    public Guid SubjectId { get; set; }

    public Guid TrialId { get; set; }

}