using Microsoft.EntityFrameworkCore;
using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models;

[Comment(" - Sponsor")]
[Table("Sponsor")]
public partial class Sponsor : BaseFullAuditEntity
{
    #region 

    #endregion

    public bool IsTrialLevel { get; set; }

    public string SponsorCode { get; set; } = null!;

    [StringLength(1000)]
    public string SponsorName { get; set; } = null!;

    [StringLength(1000)]
    public string SponsorNameCN { get; set; } = null!;

    public Guid? TrialId { get; set; }
}
