using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
namespace IRaCIS.Core.Domain.Models;

[Comment("稽查 - 后端接收前端上传 文件记录表")]
[Table("InspectionFile")]
public class InspectionFile : BaseAddAuditEntity
{
    #region 导航属性

    #endregion

    [Comment(" 文件名称")]
    [StringLength(400)]
    public string FileName { get; set; } = null!;

    [Comment(" 相对路径")]
    [StringLength(400)]
    public string RelativePath { get; set; } = null!;

    [Comment(" 项目ID")]
    public Guid TrialId { get; set; }


}



